2,CREATE TABLE SYSTSYST (
    APPSYSTNAME     CHAR    (16) NOT NULL,
    SYSTVER         CHAR    (16),
    SYSTDESC        CHAR    (40),
    SYSTLANGUE      DECIMAL (2),
    SYSTDIR         CHAR    (128),
    SYSTMODIF       TIMESTAMP,
    CREATIONDATE    TIMESTAMP,
    LASTMODIFDATE   TIMESTAMP,
    SYSTNOTES       LONG VARCHAR,
    NBMODIF         DECIMAL (6),
    UPDSEQ          DECIMAL (6),
    USRCODE         CHAR    (16),
    PRIMARY KEY(APPSYSTNAME)
    );
2,CREATE TABLE SYSTSECTION (
    APPSYSTNAME     CHAR    (16) NOT NULL,
    SECTFULLPATH    CHAR    (80) NOT NULL,
    SECTNAME        CHAR    (16) NOT NULL,
    SECTFULLNAME    CHAR    (40) NOT NULL,
    SECTCREATION    TIMESTAMP,
    LASTMODIFDATE   TIMESTAMP,
    FATHERSECT      CHAR    (16),
    SECTDESC        LONG VARCHAR,
    PRIMARY KEY(APPSYSTNAME,SECTFULLPATH)
	);
2,CREATE UNIQUE INDEX I_SYSTSECTION2 ON SYSTSECTION (APPSYSTNAME,SECTNAME);
2,CREATE TABLE SYSTAPP (
    APPSYSTNAME     CHAR    (16) NOT NULL,
    SECTFULLPATH    CHAR    (80) NOT NULL,
    APPNAME         CHAR    (16) NOT NULL,
    APPSUBSYSTNAME  CHAR    (16) NOT NULL,
    APPAUTHOR       CHAR    (40),
    APPVERSION      CHAR    (6),
    APPCREATION     TIMESTAMP,
    APPMODIF        TIMESTAMP,
    APPFUNCTION     DECIMAL (12),
    APPLOCK         DECIMAL (2),
    APPMENUNAME     CHAR    (16),
    APPDEFQV        CHAR    (16) NOT NULL,
    APPDEFQH        CHAR    (16),
    APPDEFIMP       CHAR    (16),
    APPDEFLST       CHAR    (16),
    APPNOTES        LONG VARCHAR,
    PRIMARY KEY(APPSYSTNAME,SECTFULLPATH,APPNAME)
    );
2,CREATE UNIQUE INDEX I_SYSTAPP2 ON SYSTAPP (APPSYSTNAME,APPNAME);
2,CREATE TABLE SYSTAPPTXT (
    APPSYSTNAME     CHAR    (16) NOT NULL,
    SECTFULLPATH    CHAR    (80) NOT NULL,
    APPNAME         CHAR    (16) NOT NULL,
    LANGUE          DECIMAL (3)  NOT NULL,
    APPFULLNAME     CHAR    (40) NOT NULL,
    APPDESC         LONG VARCHAR,
    PRIMARY KEY(APPSYSTNAME,SECTFULLPATH,APPNAME,LANGUE)
    );
2,CREATE UNIQUE INDEX I_SYSTAPPTXT2 ON SYSTAPPTXT (APPSYSTNAME,APPNAME,LANGUE);
2,CREATE TABLE SYSTMODULE(
    APPSYSTNAME     CHAR    (16) NOT NULL,
    SECTFULLPATH    CHAR    (80) NOT NULL,
    MODNAME         CHAR    (16) NOT NULL,
    MODFULLNAME     CHAR    (40) NOT NULL,
    MODTYPE         DECIMAL (3)  NOT NULL,
    AUTHOR          CHAR    (40),
    CREATIONDATE    TIMESTAMP,
    LASTMODIFDATE   TIMESTAMP,
    MODDESC         LONG VARCHAR,
    PRIMARY KEY(APPSYSTNAME,SECTFULLPATH,MODNAME)
);
2,CREATE UNIQUE INDEX I_SYSTMODULE2 ON SYSTMODULE(APPSYSTNAME,MODNAME);
2,CREATE TABLE SYSTMODULELST(
    APPSYSTNAME     CHAR    (16) NOT NULL,
    SECTFULLPATH    CHAR    (80) NOT NULL,
    MODNAME         CHAR    (16) NOT NULL,
    SEQNO           DECIMAL (3)  NOT NULL,
    INCSYSTNAME     CHAR    (16) NOT NULL,
    INCSECTFULLPATH CHAR    (80) NOT NULL,
    INCMODNAME      CHAR    (16) NOT NULL,
    PRIMARY KEY(APPSYSTNAME,SECTFULLPATH,MODNAME,INCSYSTNAME,INCSECTFULLPATH,INCMODNAME)
);
2,CREATE UNIQUE INDEX I_SYSTMODULELST2 ON SYSTMODULELST(APPSYSTNAME,MODNAME,INCSYSTNAME,INCMODNAME);
2,CREATE UNIQUE INDEX I_SYSTMODULELST3 ON SYSTMODULELST(APPSYSTNAME,MODNAME,SEQNO);
2,CREATE TABLE SYSTCOL (
    APPSYSTNAME     CHAR    (16) NOT NULL,
    SECTFULLPATH    CHAR    (80) NOT NULL,
    COLNAME         CHAR    (30) NOT NULL,
    COLSYNONYM      CHAR    (30),
    COLFULLNAME     CHAR    (80),
    COLTYPE         DECIMAL (2)  NOT NULL,
    COLMAXSIZE      DECIMAL (5),
    COLNUMDEC       DECIMAL (2),
    COLAUTHOR       CHAR    (40),
    COLVERSION      CHAR    (6),
    COLCREATION     TIMESTAMP,
    COLMODIF        TIMESTAMP,
    COLDESC         LONG VARCHAR,
    PRIMARY KEY(APPSYSTNAME,SECTFULLPATH,COLNAME)
    );
2,CREATE UNIQUE INDEX I_SYSTCOL2 ON SYSTCOL(APPSYSTNAME,COLNAME);
2,CREATE TABLE SYSTTABLE (
    APPSYSTNAME     CHAR    (16) NOT NULL,
    SECTFULLPATH    CHAR    (80) NOT NULL,
    TABLENAME       CHAR    (30) NOT NULL,
    TABLEPREFIX     CHAR    (30),
    TABLESUFFIX     CHAR    (30),
    TABLEAUTHOR     CHAR    (40),
    TABLEVERSION    CHAR    (6),
    TABLECREATION   TIMESTAMP,
    TABLEMODIF      TIMESTAMP,
    TABLETYPE       DECIMAL (1)  NOT NULL,
    TABLEDESC       LONG VARCHAR,
    PRIMARY KEY(APPSYSTNAME,SECTFULLPATH,TABLENAME)
    );
2,CREATE UNIQUE INDEX I_SYSTTABLE2 ON SYSTTABLE(APPSYSTNAME,TABLENAME);
2,CREATE TABLE SYSTTABLECOL (
    APPSYSTNAME     CHAR    (16) NOT NULL,
    SECTFULLPATH    CHAR    (80) NOT NULL,
    TABLENAME       CHAR    (30) NOT NULL,
    COLPOS          DECIMAL (5)  NOT NULL,
    COLNAME         CHAR    (30) NOT NULL,
    COLNULL         DECIMAL (1)  NOT NULL,
    PRIMARY KEY(APPSYSTNAME,SECTFULLPATH,TABLENAME,COLNAME)
    );
-- Index removed because of synchronization problems
--2,CREATE UNIQUE INDEX I_SYSTTABLECOL3 ON SYSTTABLECOL(APPSYSTNAME,TABLENAME,COLPOS);
2,CREATE UNIQUE INDEX I_SYSTTABLECOL2 ON SYSTTABLECOL(APPSYSTNAME,TABLENAME,COLNAME);
2,CREATE TABLE SYSTTABLEIND (
    APPSYSTNAME     CHAR    (16) NOT NULL,
    SECTFULLPATH    CHAR    (80) NOT NULL,
    TABLENAME       CHAR    (30) NOT NULL,
    INDEXNAME       CHAR    (30) NOT NULL,
    INDEXTYPE       DECIMAL (1)  NOT NULL,
    INDEXDESC       LONG VARCHAR,
    PRIMARY KEY(APPSYSTNAME,SECTFULLPATH,TABLENAME,INDEXNAME)
    );
2,CREATE UNIQUE INDEX I_SYSTTABLEIND2 ON SYSTTABLEIND(APPSYSTNAME,TABLENAME,INDEXNAME);
2,CREATE TABLE SYSTTABLEINDCOL (
    APPSYSTNAME     CHAR    (16) NOT NULL,
    SECTFULLPATH    CHAR    (80) NOT NULL,
    TABLENAME       CHAR    (30) NOT NULL,
    INDEXNAME       CHAR    (30) NOT NULL,
    COLPOS          DECIMAL (5)  NOT NULL,
    COLNAME         CHAR    (30) NOT NULL,
    ORDERTYPE       DECIMAL (1)  NOT NULL,
    PRIMARY KEY(APPSYSTNAME,SECTFULLPATH,TABLENAME,INDEXNAME,COLNAME)
    );
2,CREATE UNIQUE INDEX I_SYSTTABLEINDCOL2 ON SYSTTABLEINDCOL(APPSYSTNAME,TABLENAME,INDEXNAME,COLPOS);
2,CREATE UNIQUE INDEX I_SYSTTABLEINDCOL3 ON SYSTTABLEINDCOL(APPSYSTNAME,TABLENAME,INDEXNAME,COLNAME);
2,CREATE TABLE SYSTTABLEFK (
    APPSYSTNAME     CHAR    (16) NOT NULL,
    SECTFULLPATH    CHAR    (80) NOT NULL,
    TABLENAME       CHAR    (30) NOT NULL,
    FKNAME          CHAR    (30) NOT NULL,
    RELTABLENAME    CHAR    (30) NOT NULL,
    FKTYPE          DECIMAL (1)  NOT NULL,
    FKDESC          LONG VARCHAR,
    PRIMARY KEY(APPSYSTNAME,SECTFULLPATH,TABLENAME,FKNAME)
    );
2,CREATE UNIQUE INDEX I_SYSTTABLEFK2 ON SYSTTABLEFK(APPSYSTNAME,TABLENAME,FKNAME);
2,CREATE TABLE SYSTTABLEFKCOL (
    APPSYSTNAME     CHAR    (16) NOT NULL,
    SECTFULLPATH    CHAR    (80) NOT NULL,
    TABLENAME       CHAR    (30) NOT NULL,
    FKNAME          CHAR    (30) NOT NULL,
    COLPOS          DECIMAL (5)  NOT NULL,
    COLNAME         CHAR    (30) NOT NULL,
    PRIMARY KEY(APPSYSTNAME,SECTFULLPATH,TABLENAME,FKNAME,COLNAME)
    );
2,CREATE UNIQUE INDEX I_SYSTTABLEFKCOL2 ON SYSTTABLEFKCOL(APPSYSTNAME,TABLENAME,FKNAME,COLPOS);
2,CREATE UNIQUE INDEX I_SYSTTABLEFKCOL3 ON SYSTTABLEFKCOL(APPSYSTNAME,TABLENAME,FKNAME,COLNAME);
2,CREATE TABLE SYSTQUEST (
    APPSYSTNAME     CHAR    (16) NOT NULL,
    SECTFULLPATH    CHAR    (80) NOT NULL,
    QUNAME          CHAR    (30) NOT NULL,
    COLNAME         CHAR    (30),
    QUTYPE          DECIMAL (3)  NOT NULL,
    QUATTR          DECIMAL (6)  NOT NULL,
    ANSATTR         DECIMAL (6)  NOT NULL,
    ANSMINCHR       DECIMAL (5)  NOT NULL,
    ANSMAXCHR       DECIMAL (5)  NOT NULL,
    ANSMINVALUE     DECIMAL (10),
    ANSMAXVALUE     DECIMAL (10),
    ANSNUMDEC       DECIMAL (3),
    DISPFLG         DECIMAL (8)  NOT NULL,
    INPMASK         VARCHAR (80),
    OUTMASK         VARCHAR (80),
    CDNCMD          VARCHAR (240),
    CTLTYPE         DECIMAL (3)  NOT NULL,
    QUNOTES         LONG VARCHAR,
    PRIMARY KEY(APPSYSTNAME,SECTFULLPATH,QUNAME)
    );
2,CREATE UNIQUE INDEX I_SYSTQUEST2 ON SYSTQUEST (APPSYSTNAME,QUNAME);
2,CREATE TABLE SYSTQUESTTXT (
    APPSYSTNAME     CHAR    (16) NOT NULL,
    SECTFULLPATH    CHAR    (80) NOT NULL,
    QUNAME          CHAR    (30) NOT NULL,
    LANGUE          DECIMAL (3)  NOT NULL,
    QUDESC          CHAR    (80),
    COLDESC1        CHAR    (80),
    COLDESC2        CHAR    (80),
    ANSCHOICE       VARCHAR (240),
    QUHELP          LONG VARCHAR,
    PRIMARY KEY(APPSYSTNAME,SECTFULLPATH,QUNAME,LANGUE)
    );
2,CREATE UNIQUE INDEX I_SYSTQUESTTXT2 ON SYSTQUESTTXT (APPSYSTNAME,QUNAME,LANGUE);
2,CREATE TABLE SYSTACTION (
    APPSYSTNAME     CHAR    (16) NOT NULL,
    SECTFULLPATH    CHAR    (80) NOT NULL,
    MODNAME         CHAR    (16) NOT NULL,
    ACTIONNAME      CHAR    (16) NOT NULL,
    ACTIONFULLNAME  CHAR    (40) NOT NULL,
    ACTIONID        DECIMAL (6),
    ACTIONCAT       DECIMAL (6)  NOT NULL,
    ACTIONSTATE     DECIMAL (6)  NOT NULL,
    ACTIONALIVE     DECIMAL (1),
    ACTIONNOTES     LONG VARCHAR,
    PRIMARY KEY(APPSYSTNAME,SECTFULLPATH,MODNAME,ACTIONNAME)
    );
2,CREATE UNIQUE INDEX I_SYSTACTION2 ON SYSTACTION(APPSYSTNAME,MODNAME,ACTIONNAME);
2,CREATE TABLE SYSTACTIONTXT (
    APPSYSTNAME     CHAR    (16) NOT NULL,
    SECTFULLPATH    CHAR    (80) NOT NULL,
    MODNAME         CHAR    (16) NOT NULL,
    ACTIONNAME      CHAR    (16) NOT NULL,
    LANGUE          DECIMAL (3)  NOT NULL,
    TOOLTIPTEXT     CHAR    (40),
    STATUSBARTEXT   CHAR    (80),
    BUTTONTEXT      CHAR    (80),
    ACTIONFULLHELP  LONG VARCHAR,
    PRIMARY KEY(APPSYSTNAME,SECTFULLPATH,MODNAME,ACTIONNAME,LANGUE)
    );
2,CREATE UNIQUE INDEX I_SYSTACTIONTXT2 ON SYSTACTIONTXT(APPSYSTNAME,MODNAME,ACTIONNAME,LANGUE);
2,CREATE TABLE SYSTMITEM(
    APPSYSTNAME     CHAR    (16) NOT NULL,
    SECTFULLPATH    CHAR    (80) NOT NULL,
    MODNAME         CHAR    (16) NOT NULL,
    MITEMNAME       CHAR    (16) NOT NULL,
    MITEMTYPE       DECIMAL (3)  NOT NULL,
    ACTIONNAME      CHAR    (16) NOT NULL,
    MITEMFATHER     CHAR    (16),
    MITEMPOS        DECIMAL (5)  NOT NULL,
    MITEMACCEL      DECIMAL (5),
    MITEMALIVE      DECIMAL (1)  NOT NULL,
    MITEMATTR       DECIMAL (5),
    MITEMNOTES      LONG VARCHAR,
    PRIMARY KEY(APPSYSTNAME,SECTFULLPATH,MODNAME,MITEMNAME)
    );
2,CREATE UNIQUE INDEX I_SYSTMITEM2 ON SYSTMITEM(APPSYSTNAME,MODNAME,MITEMNAME);
2,CREATE TABLE SYSTMITEMTXT(
    APPSYSTNAME     CHAR    (16) NOT NULL,
    SECTFULLPATH    CHAR    (80) NOT NULL,
    MODNAME         CHAR    (16) NOT NULL,
    MITEMNAME       CHAR    (16) NOT NULL,
    LANGUE          DECIMAL (3)  NOT NULL,
    MITEMTEXT       CHAR    (40),
    PRIMARY KEY(APPSYSTNAME,SECTFULLPATH,MODNAME,MITEMNAME,LANGUE)
    );
2,CREATE UNIQUE INDEX I_SYSTMITEMTXT2 ON SYSTMITEMTXT(APPSYSTNAME,MODNAME,MITEMNAME,LANGUE);
2,CREATE TABLE SYSTMENULIST (
    APPOWNSYSTNAME  CHAR    (16) NOT NULL,
    SECTFULLPATH    CHAR    (80) NOT NULL,
    APPSYSTNAME     CHAR    (16) NOT NULL,
    APPSUBSYSTNAME  CHAR    (16) NOT NULL,
    MENUPOS         DECIMAL (6)  NOT NULL,
    MENUPROG        CHAR    (128),
    ACCESSCAT       DECIMAL (2)  NOT NULL,
    PRGTYPE         DECIMAL (1),
    PROTECPRGID     CHAR    (16),
    MENUNOTES       LONG VARCHAR,
    PRIMARY KEY(APPOWNSYSTNAME,SECTFULLPATH,APPSYSTNAME,APPSUBSYSTNAME,MENUPOS)
    );
2,CREATE UNIQUE INDEX I_SYSTMENULIST2 ON SYSTMENULIST(APPOWNSYSTNAME,APPSYSTNAME,APPSUBSYSTNAME,MENUPOS);
2,CREATE        INDEX I_SYSTMENULIST3 ON SYSTMENULIST(APPSYSTNAME,APPSUBSYSTNAME,MENUPOS);
2,CREATE TABLE SYSTMENULISTTXT (
    APPOWNSYSTNAME  CHAR    (16) NOT NULL,
    SECTFULLPATH    CHAR    (80) NOT NULL,
    APPSYSTNAME     CHAR    (16) NOT NULL,
    APPSUBSYSTNAME  CHAR    (16) NOT NULL,
    MENUPOS         DECIMAL (6)  NOT NULL,
    LANGUE          DECIMAL (3)  NOT NULL,
    MENUDESC        CHAR    (40),
    PRIMARY KEY(APPOWNSYSTNAME,SECTFULLPATH,APPSYSTNAME,APPSUBSYSTNAME,MENUPOS,LANGUE)
    );
2,CREATE UNIQUE INDEX I_SYSTMENULISTTXT2 ON SYSTMENULISTTXT(APPOWNSYSTNAME,APPSYSTNAME,APPSUBSYSTNAME,MENUPOS,LANGUE);
2,CREATE        INDEX I_SYSTMENULISTTXT3 ON SYSTMENULISTTXT(APPSYSTNAME,APPSUBSYSTNAME,MENUPOS,LANGUE);
2,CREATE TABLE SYSTHELPSYST (
    LANGUE          DECIMAL (3)  NOT NULL,
    SUBFATHER       CHAR    (16) NOT NULL,
    SUBNAME         CHAR    (16) NOT NULL,
    SUBDESC         LONG VARCHAR
    );
2,CREATE TABLE SYSTHELPPROC (
    APPSYSTNAME     CHAR    (16) NOT NULL,
    SECTFULLPATH    CHAR    (80) NOT NULL,
    LANGUE          DECIMAL (3)  NOT NULL,
    SUBFATHER       CHAR    (16) NOT NULL,
    SUBNAME         CHAR    (16) NOT NULL,
    SUBDESC         LONG VARCHAR
    );
2,CREATE TABLE APPSTR (
    APPSYSTNAME     CHAR    (16) NOT NULL,
    SECTFULLPATH    CHAR    (80) NOT NULL,
    MODNAME         CHAR    (16) NOT NULL,
    LANGUE          DECIMAL (3)  NOT NULL,
    STRNAME         CHAR    (64) NOT NULL,
    STRNAMECASE     CHAR    (64),
    STRTYPE         DECIMAL (1)  NOT NULL,
    STRLONGNAME     VARCHAR (80),
    STRDESC         LONG VARCHAR,
    PRIMARY KEY(APPSYSTNAME,SECTFULLPATH,MODNAME,LANGUE,STRTYPE,STRNAME)
    );
2,CREATE UNIQUE INDEX I_APPSTR2 ON APPSTR(APPSYSTNAME,MODNAME,LANGUE,STRTYPE,STRNAME);
2,CREATE TABLE APPBLOB (
    APPSYSTNAME     CHAR    (16) NOT NULL,
    SECTFULLPATH    CHAR    (80) NOT NULL,
    MODNAME         CHAR    (16) NOT NULL,
    LANGUE          DECIMAL (3)  NOT NULL,
    BLOBNAME        CHAR    (64) NOT NULL,
    BLOBDESC        VARCHAR (80),
    PRIMARY KEY(APPSYSTNAME,SECTFULLPATH,MODNAME,LANGUE,BLOBNAME)
    );
2,CREATE UNIQUE INDEX I_APPBLOB2 ON APPBLOB(APPSYSTNAME,MODNAME,LANGUE,BLOBNAME);
2,CREATE TABLE APPBLOBDATA (
    APPSYSTNAME     CHAR    (16) NOT NULL,
    SECTFULLPATH    CHAR    (80) NOT NULL,
    MODNAME         CHAR    (16) NOT NULL,
    LANGUE          DECIMAL (3)  NOT NULL,
    BLOBNAME        CHAR    (64) NOT NULL,
    BLOBSEQNO       DECIMAL (10) NOT NULL,
    BLOBDATA        LONG VARCHAR FOR BIT DATA,
    PRIMARY KEY(APPSYSTNAME,SECTFULLPATH,MODNAME,LANGUE,BLOBNAME,BLOBSEQNO)
    );
2,CREATE UNIQUE INDEX I_APPBLOBDATA2 ON APPBLOBDATA(APPSYSTNAME,MODNAME,LANGUE,BLOBNAME,BLOBSEQNO);
2,CREATE TABLE APPMACRO (
    APPSYSTNAME     CHAR    (16) NOT NULL,
    SECTFULLPATH    CHAR    (80) NOT NULL,
    APPNAME         CHAR    (16) NOT NULL,
    LANGUE          DECIMAL (3)  NOT NULL,
    MACROUNIQUENAME CHAR    (32) NOT NULL,
    MACRONAME       CHAR    (32) NOT NULL,
    MACROTYPE       DECIMAL (3)  NOT NULL,
    MACROACCESS     DECIMAL (3)  NOT NULL,
    MACRORELNAME    CHAR    (32) NOT NULL,
    MACRODESC       VARCHAR (240),
    MACROACCKEY     DECIMAL (7),
    MACROSQLCMD     LONG VARCHAR,
    PRIMARY KEY(APPSYSTNAME,SECTFULLPATH,APPNAME,LANGUE,MACROUNIQUENAME)
    );
2,CREATE UNIQUE INDEX I_APPMACRO2 ON APPMACRO(APPSYSTNAME,APPNAME,LANGUE,MACROUNIQUENAME);
2,CREATE TABLE APPMACROQUEST (
    APPSYSTNAME     CHAR    (16) NOT NULL,
    SECTFULLPATH    CHAR    (80) NOT NULL,
    APPNAME         CHAR    (16) NOT NULL,
    LANGUE          DECIMAL (3)  NOT NULL,
    MACROUNIQUENAME CHAR    (32) NOT NULL,
    MACRONAME       CHAR    (32),
    QUNAME          CHAR    (30) NOT NULL,
    QUINDEX         DECIMAL (5)  NOT NULL,
    QUTABLE         CHAR    (30),
    QUDESC          CHAR    (80),
    QUDEFANS        CHAR    (80),
    QUSUBST         CHAR    (30),
    PRIMARY KEY(APPSYSTNAME,SECTFULLPATH,APPNAME,LANGUE,MACROUNIQUENAME,QUNAME)
    );
2,CREATE UNIQUE INDEX I_APPMACROQUEST2 ON APPMACROQUEST(APPSYSTNAME,APPNAME,LANGUE,MACROUNIQUENAME,QUNAME);
2,CREATE TABLE APPQUEST (
    APPSYSTNAME     CHAR    (16) NOT NULL,
    SECTFULLPATH    CHAR    (80) NOT NULL,
    MODNAME         CHAR    (16) NOT NULL,
    GRPNAME         CHAR    (16) NOT NULL,
    QUINDEX         DECIMAL (5)  NOT NULL,
    QUNAME          CHAR    (30) NOT NULL,
    TABLENAME       CHAR    (30),
    QUSTATE         DECIMAL (6)  NOT NULL,
    DISPFLG         DECIMAL (8),
    SQLNAME         CHAR    (64),
    LISTSQLNAME     CHAR    (64),
    INPMASK         VARCHAR (80),
    OUTMASK         VARCHAR (80),
    CDNCMD          VARCHAR (240),
    PRIMARY KEY(APPSYSTNAME,SECTFULLPATH,MODNAME,GRPNAME,QUNAME)
    );
2,CREATE UNIQUE INDEX I_APPQUEST2 ON APPQUEST(APPSYSTNAME,MODNAME,GRPNAME,QUNAME);
2,CREATE TABLE APPQUESTTXT (
    APPSYSTNAME     CHAR    (16) NOT NULL,
    SECTFULLPATH    CHAR    (80) NOT NULL,
    MODNAME         CHAR    (16) NOT NULL,
    GRPNAME         CHAR    (16) NOT NULL,
    QUNAME          CHAR    (30) NOT NULL,
    LANGUE          DECIMAL (3)  NOT NULL,
    QUDESC          CHAR    (80),
    ANSMAXDISPCHR   DECIMAL (3)  NOT NULL,
    QUATTR          DECIMAL (6),
    ANSATTR         DECIMAL (6),
    QUPOSX          DECIMAL (3)  NOT NULL,
    QUPOSY          DECIMAL (3)  NOT NULL,
    ANSPOSX         DECIMAL (3)  NOT NULL,
    ANSPOSY         DECIMAL (3)  NOT NULL,
    QUHELP          LONG VARCHAR,
    PRIMARY KEY(APPSYSTNAME,SECTFULLPATH,MODNAME,GRPNAME,QUNAME,LANGUE)
    );
2,CREATE UNIQUE INDEX I_APPQUESTTXT2 ON APPQUESTTXT(APPSYSTNAME,MODNAME,GRPNAME,QUNAME,LANGUE);
2,CREATE TABLE APPCTL (
    APPSYSTNAME     CHAR    (16) NOT NULL,
    SECTFULLPATH    CHAR    (80) NOT NULL,
    MODNAME         CHAR    (16) NOT NULL,
    GRPNAME         CHAR    (16) NOT NULL,
    LANGUE          DECIMAL (3)  NOT NULL,
    CTLUNIQUEID     DECIMAL (6)  NOT NULL,
    QUNAME          CHAR    (30),
    CTLID           DECIMAL (6)  NOT NULL,
    CTLTYPE         DECIMAL (3)  NOT NULL,
    CTLCLASS        DECIMAL (12) NOT NULL,
    CTLCLASSNAME    CHAR    (48) NOT NULL,
    CTLTEXT         VARCHAR (240),
    CTLLOCK         DECIMAL (1)  NOT NULL,
    CTLLINK         DECIMAL (1)  NOT NULL,
    CTLREPLACEFLD   DECIMAL (1)  NOT NULL,
    CTLPOSX         DECIMAL (5)  NOT NULL,
    CTLPOSY         DECIMAL (5)  NOT NULL,
    CTLEXTX         DECIMAL (5)  NOT NULL,
    CTLEXTY         DECIMAL (5)  NOT NULL,
    CTLFONTHEIGHT   DECIMAL (6),
    CTLFONTSTYLE    DECIMAL (12),
    CTLFONTCOLOR    DECIMAL (10),
    CTLFONTNAME     CHAR    (32),
    CTLBACKCOLOR    DECIMAL (10),
    CTLACCKEY       DECIMAL (7),
    CTLBITMAP       VARCHAR (64),
	CTLINDEX		DECIMAL (5),
	CTLNAME			VARCHAR(30),
    PRIMARY KEY(APPSYSTNAME,SECTFULLPATH,MODNAME,GRPNAME,LANGUE,CTLUNIQUEID)
    );
2,CREATE UNIQUE INDEX I_APPCTL2 ON APPCTL(APPSYSTNAME,MODNAME,GRPNAME,LANGUE,CTLUNIQUEID);
2,CREATE TABLE APPIMPANS (
    APPSYSTNAME     CHAR    (16) NOT NULL,
    SECTFULLPATH    CHAR    (80) NOT NULL,
    APPNAME         CHAR    (16) NOT NULL,
    LANGUE          DECIMAL (3)  NOT NULL,
    RIACCESS        DECIMAL (3)  NOT NULL,
    RIRELNAME       CHAR    (32) NOT NULL,
    GRPNAME         CHAR    (16) NOT NULL,
    QUNAME          CHAR    (30) NOT NULL,
    ANSORIGIN       CHAR    (1)  NOT NULL,
    ANSCONSTANT     CHAR    (80),
    ANSQUNAME       CHAR    (30),
    ANSOP           CHAR    (1)  NOT NULL,
    ANSOPCONSTANT   CHAR    (80),
    ANSOPSPEC       CHAR    (1)  NOT NULL,
    ANSSTATE        CHAR    (1)  NOT NULL,
    PRIMARY KEY(APPSYSTNAME,SECTFULLPATH,APPNAME,LANGUE,RIACCESS,RIRELNAME,GRPNAME,QUNAME)
    );
2,CREATE UNIQUE INDEX I_APPIMPANS2 ON APPIMPANS(APPSYSTNAME,APPNAME,LANGUE,RIACCESS,RIRELNAME,GRPNAME,QUNAME);
2,CREATE TABLE APPSCRFORMAT (
    APPSYSTNAME     CHAR    (16) NOT NULL,
    SECTFULLPATH    CHAR    (80) NOT NULL,
    APPNAME         CHAR    (16) NOT NULL,
    SFACCESS        DECIMAL (3)  NOT NULL,
    SFRELNAME       CHAR    (32) NOT NULL,
    SFQVSIZE        DECIMAL (8)  NOT NULL,
    SFREGWINDOW     DECIMAL (1)  NOT NULL,
    TOOLPRESENCE    DECIMAL (8),
    TOOLSTATE       DECIMAL (8),
    TOOL0XPOS       DECIMAL (5),
    TOOL0YPOS       DECIMAL (5),
    TOOL1XPOS       DECIMAL (5),
    TOOL1YPOS       DECIMAL (5),
    TOOL2XPOS       DECIMAL (5),
    TOOL2YPOS       DECIMAL (5),
    TOOL3XPOS       DECIMAL (5),
    TOOL3YPOS       DECIMAL (5),
    TOOL4XPOS       DECIMAL (5),
    TOOL4YPOS       DECIMAL (5),
    TOOL5XPOS       DECIMAL (5),
    TOOL5YPOS       DECIMAL (5),
    TOOL6XPOS       DECIMAL (5),
    TOOL6YPOS       DECIMAL (5),
    TOOL7XPOS       DECIMAL (5),
    TOOL7YPOS       DECIMAL (5),
    PRIMARY KEY(APPSYSTNAME,SECTFULLPATH,APPNAME,SFACCESS,SFRELNAME)
    );
2,CREATE UNIQUE INDEX I_APPSCRFORMAT2 ON APPSCRFORMAT(APPSYSTNAME,APPNAME,SFACCESS,SFRELNAME);
2,CREATE  TABLE APPTOOLFORMAT (
    APPSYSTNAME     CHAR    (16)  NOT NULL,
    SECTFULLPATH    CHAR    (80)  NOT NULL,
    APPNAME         CHAR    (16)  NOT NULL,
    LANGUE          DECIMAL (3)   NOT NULL,
    TOOLACCESS      DECIMAL (3)   NOT NULL,
    TOOLRELNAME     CHAR    (32)  NOT NULL,
    TOOLCAT         DECIMAL (3)   NOT NULL,
    TOOLTYPE        DECIMAL (3)   NOT NULL,
    TOOLTAG         CHAR    (64)  NOT NULL,
    TOOLVALID       VARCHAR (128) FOR BIT DATA NOT NULL,
    PRIMARY KEY(APPSYSTNAME,SECTFULLPATH,APPNAME,LANGUE,TOOLACCESS,TOOLRELNAME,TOOLCAT,TOOLTYPE,TOOLTAG)
    );
2,CREATE UNIQUE INDEX I_APPTOOLFORMAT2 ON APPTOOLFORMAT(APPSYSTNAME,APPNAME,LANGUE,
TOOLACCESS,TOOLRELNAME,TOOLCAT,TOOLTYPE,TOOLTAG);
2,CREATE TABLE APPTOOLFORMATDATA ( 
    APPSYSTNAME     CHAR    (16)  NOT NULL,
    SECTFULLPATH    CHAR    (80)  NOT NULL,
    APPNAME         CHAR    (16)  NOT NULL,
    LANGUE          DECIMAL (3)   NOT NULL,
    TOOLACCESS      DECIMAL (3)   NOT NULL,
    TOOLRELNAME     CHAR    (32)  NOT NULL,
    TOOLCAT         DECIMAL (3)   NOT NULL,
    TOOLTYPE        DECIMAL (3)   NOT NULL,
    TOOLTAG         CHAR    (64)  NOT NULL,
    TOOLSEQ         DECIMAL (3)   NOT NULL,
    TOOLDATA        LONG VARCHAR FOR BIT DATA,
    PRIMARY KEY(APPSYSTNAME,SECTFULLPATH,APPNAME,LANGUE,TOOLACCESS,TOOLRELNAME,TOOLCAT,TOOLTYPE,TOOLTAG,TOOLSEQ)
    );
2,CREATE UNIQUE INDEX I_APPTOOLFRMTDATA2 ON APPTOOLFORMATDATA(APPSYSTNAME,APPNAME,LANGUE,
TOOLACCESS,TOOLRELNAME,TOOLCAT,TOOLTYPE,TOOLTAG,TOOLSEQ);
2,CREATE  TABLE FORMPERSIST (
    APPSYSTNAME     CHAR    (16)   NOT NULL,
    SECTFULLPATH    CHAR    (80)   NOT NULL,
    MODNAME         CHAR    (16)   NOT NULL,
    GRPNAME         CHAR    (16)   NOT NULL,
    LANGUE          DECIMAL (3)    NOT NULL,
    PERSCAT         DECIMAL (3)    NOT NULL,
    PERSTYPE        DECIMAL (3)    NOT NULL,
    PERSTAG         CHAR    (64)   NOT NULL,
    PERSVALID       VARCHAR (128) FOR BIT DATA NOT NULL,
    PRIMARY KEY(APPSYSTNAME,SECTFULLPATH,MODNAME,GRPNAME,LANGUE,PERSCAT,PERSTYPE,PERSTAG)
    );
2,CREATE UNIQUE INDEX I_FORMPERSIST2 ON FORMPERSIST(APPSYSTNAME,MODNAME,GRPNAME,LANGUE,
PERSCAT,PERSTYPE,PERSTAG);
2,CREATE TABLE FORMPERSISTDATA ( 
    APPSYSTNAME     CHAR    (16)  NOT NULL,
    SECTFULLPATH    CHAR    (80)  NOT NULL,
    MODNAME         CHAR    (16)  NOT NULL,
    GRPNAME         CHAR    (16)  NOT NULL,
    LANGUE          DECIMAL (3)   NOT NULL,
    PERSCAT         DECIMAL (3)   NOT NULL,
    PERSTYPE        DECIMAL (3)   NOT NULL,
    PERSTAG         CHAR    (64)  NOT NULL,
    PERSSEQ         DECIMAL (3)   NOT NULL,
    PERSDATA        LONG VARCHAR FOR BIT DATA,
    PRIMARY KEY(APPSYSTNAME,SECTFULLPATH,MODNAME,GRPNAME,LANGUE,PERSCAT,PERSTYPE,PERSTAG,PERSSEQ)
    );
2,CREATE UNIQUE INDEX I_FORMPERSISTDATA2 ON FORMPERSISTDATA(APPSYSTNAME,MODNAME,GRPNAME,LANGUE,
PERSCAT,PERSTYPE,PERSTAG,PERSSEQ);
2,CREATE TABLE APPPRTDEF (
    APPSYSTNAME     CHAR    (16) NOT NULL,
    SECTFULLPATH    CHAR    (80) NOT NULL,
    APPNAME         CHAR    (16) NOT NULL,
    PRTACCESS       DECIMAL (3)  NOT NULL,
    PRTRELNAME      CHAR    (32) NOT NULL,
    GRPNAME         CHAR    (16) NOT NULL,
    QUNAME          CHAR    (30) NOT NULL,
    ANSMAXDISPCHR   DECIMAL (3)  NOT NULL,
    QUINDEX         DECIMAL (5)  NOT NULL,
    QUISVISIBLE     DECIMAL (1)  NOT NULL,
    PRIMARY KEY(APPSYSTNAME,SECTFULLPATH,APPNAME,PRTACCESS,PRTRELNAME,GRPNAME,QUNAME)
    );
2,CREATE UNIQUE INDEX I_APPPRTDEF2 ON APPPRTDEF(APPSYSTNAME,APPNAME,PRTACCESS,PRTRELNAME,GRPNAME,QUNAME);
2,CREATE TABLE MODTYPELIB ( 
    APPSYSTNAME     CHAR    (16) NOT NULL,
    SECTFULLPATH    CHAR    (80) NOT NULL,
    MODNAME         CHAR    (16) NOT NULL,
    GUID            CHAR    (48) NOT NULL, 
    TYPELIBNAME     CHAR    (64) NOT NULL,
    TYPELIB         DECIMAL (3)  NOT NULL,
    MAJVERSION	    DECIMAL (3),
    MINVERSION	    DECIMAL (3),
    LCID            DECIMAL (9),
    PRIMARY KEY(APPSYSTNAME,SECTFULLPATH,MODNAME,GUID)
    );
2,CREATE TABLE PROTENTRY(
    ENTRYSYSTID     CHAR(16)      NOT NULL,
    ENTRYID         CHAR(16)      NOT NULL,
    FULLNAME        CHAR(40)      NOT NULL,
    DATATYPE        DECIMAL(1)    NOT NULL,
    CONFLICTRES     DECIMAL(1)    NOT NULL,
    DEFAULTVAL      VARCHAR(128)  NOT NULL,
    SUPERVAL        VARCHAR(128)  NOT NULL,
	ENTRYNOTES		LONG VARCHAR,
    PRIMARY KEY(ENTRYSYSTID, ENTRYID)
  );
2,CREATE TABLE PROTASSIGN (
    ENTRYSYSTID     CHAR(16)      NOT NULL,
    ENTRYID         CHAR(16)      NOT NULL,
    ASSIGNPRGTYPE   DECIMAL(1)    NOT NULL,
    SYSTID          CHAR(16)      NOT NULL,
    PRGID           CHAR(16)      NOT NULL,
	USERCONTEXT     CHAR(48)      NOT NULL,
    ASSIGNUSRTYPE   DECIMAL(1)    NOT NULL,
    USRID           CHAR(16)      NOT NULL,
    COMPID          CHAR(16)      NOT NULL,
    STATIONID       CHAR(16)      NOT NULL,
    DATESTART       DATE          NOT NULL,
    DATEEND         DATE          NOT NULL,
    TIMESTART       TIME          NOT NULL,
    TIMEEND         TIME          NOT NULL,
    WEEKDAYSTART    DECIMAL(1)    NOT NULL,
    WEEKDAYEND      DECIMAL(1)    NOT NULL,
    LANGUAGE        DECIMAL(2)    NOT NULL,
    DBENGINEID      DECIMAL(4)    NOT NULL,
    ASSIGNVAL       VARCHAR(128)  NOT NULL,
    PRIMARY KEY(ENTRYSYSTID, ENTRYID, ASSIGNPRGTYPE, SYSTID, PRGID,
                 USERCONTEXT, ASSIGNUSRTYPE, USRID, COMPID, STATIONID,
                 DATESTART, DATEEND, TIMESTART, TIMEEND,
                 WEEKDAYSTART, WEEKDAYEND)
  );
2,CREATE TABLE PROTUSR(
    USRID          CHAR(16)     NOT NULL,
    FULLNAME       CHAR(40)     NOT NULL,
    PASSWORD       VARCHAR(40) FOR BIT DATA,
    PRIMARY KEY(USRID)
  );
2,CREATE TABLE PROTUSRGRP (
    USRGRPID        CHAR(16)   NOT NULL,
    FULLNAME        CHAR(40)   NOT NULL,
    PRIMARY KEY(USRGRPID)
  );
2,CREATE TABLE PROTUSRGRPMBR (
    USRGRPID        CHAR(16)   NOT NULL,
    MBRTYPE         DECIMAL(1) NOT NULL,
    MBRID           CHAR(16)   NOT NULL,
    PRIMARY KEY(USRGRPID, MBRTYPE, MBRID)
  );
2,CREATE TABLE PROTCOMP (
    COMPID          CHAR(16)   NOT NULL,
    COMPFULLNAME    CHAR(140)  NOT NULL,
    COMPSHORTNAME   CHAR(40)   NOT NULL,
    ADDRESS         CHAR(140),
    CITY            CHAR(80),
    STATE           CHAR(40),
    COUNTRY         CHAR(40),
    ZIP             CHAR(12),
    TEL             CHAR(20),
    FAX             CHAR(20),
    PRIMARY KEY(COMPID)
  );
2,CREATE TABLE PROTPRGGRP (
    SYSTID          CHAR(16)   NOT NULL,
    PRGGRPID        CHAR(16)   NOT NULL,
    FULLNAME        CHAR(40)   NOT NULL,
    PRIMARY KEY(SYSTID,PRGGRPID)
  );
2,CREATE TABLE PROTPRGGRPMBR (
    SYSTID          CHAR(16)   NOT NULL,
    PRGGRPID        CHAR(16)   NOT NULL,
    MBRTYPE         DECIMAL(1) NOT NULL,
    MBRSYSTID       CHAR(16)   NOT NULL,
    MBRID           CHAR(16)   NOT NULL,
    PRIMARY KEY(SYSTID,PRGGRPID,MBRTYPE,MBRSYSTID,MBRID)
  );
2,CREATE TABLE MGLINKSYSTSYST(
    APPSYSTNAME    CHAR(16) NOT NULL,
    SEGIDABS       CHAR(17) NOT NULL,
    OCCIDABS       CHAR(17) NOT NULL,
    SEGNAME        CHAR(65),
    OCCNAME        CHAR(65),
    PRIMARY KEY(APPSYSTNAME,SEGIDABS,OCCIDABS)
  );
2,CREATE TABLE MGLINKSYSTSECTION(
    APPSYSTNAME    CHAR(16) NOT NULL,
    SECTFULLPATH   CHAR(80) NOT NULL,
    SEGIDABS       CHAR(17) NOT NULL,
    OCCIDABS       CHAR(17) NOT NULL,
    SEGNAME        CHAR(65),
    OCCNAME        CHAR(65),
    PRIMARY KEY(APPSYSTNAME,SECTFULLPATH,SEGIDABS,OCCIDABS)
  );
2,CREATE UNIQUE INDEX I_MGLINKSYSTSECT2 ON MGLINKSYSTSECTION(APPSYSTNAME,SEGIDABS,OCCIDABS);
2,CREATE TABLE MGLINKSYSTMOD(
    APPSYSTNAME    CHAR(16) NOT NULL,
    SECTFULLPATH   CHAR(80) NOT NULL,
    MODNAME        CHAR(16) NOT NULL,
    SEGIDABS       CHAR(17) NOT NULL,
    OCCIDABS       CHAR(17) NOT NULL,
    SEGNAME        CHAR(65),
    OCCNAME        CHAR(65),
    PRIMARY KEY(APPSYSTNAME,SECTFULLPATH,MODNAME,SEGIDABS,OCCIDABS)
  ); 
2,CREATE UNIQUE INDEX I_MGLINKSYSTMOD2 ON MGLINKSYSTMOD(APPSYSTNAME,MODNAME,SEGIDABS,OCCIDABS);
2,CREATE TABLE MGLINKSYSTTABLE(
    APPSYSTNAME    CHAR(16) NOT NULL,
    SECTFULLPATH   CHAR(80) NOT NULL,
    TABLENAME      CHAR(30) NOT NULL,
    SEGIDABS       CHAR(17) NOT NULL,
    OCCIDABS       CHAR(17) NOT NULL,
    SEGNAME        CHAR(65),
    OCCNAME        CHAR(65),
    PRIMARY KEY(APPSYSTNAME,SECTFULLPATH,TABLENAME,SEGIDABS,OCCIDABS)
  );
2,CREATE UNIQUE INDEX I_MGLINKSYSTTABLE ON MGLINKSYSTTABLE(APPSYSTNAME,TABLENAME,SEGIDABS,OCCIDABS);
2,CREATE TABLE MGLINKSYSTCOL(
   APPSYSTNAME    CHAR(16)  NOT NULL,
   SECTFULLPATH   CHAR(80)  NOT NULL,
   COLNAME        CHAR(30)  NOT NULL,
   SEGIDABS       CHAR(17)  NOT NULL,
   OCCIDABS       CHAR(17)  NOT NULL,
   SEGNAME        CHAR(65),
   OCCNAME        CHAR(65),
   PRIMARY KEY(APPSYSTNAME,SECTFULLPATH,COLNAME,SEGIDABS,OCCIDABS)
   );
2,CREATE UNIQUE INDEX I_MGLINKSYSTCOL ON MGLINKSYSTCOL(APPSYSTNAME,COLNAME,SEGIDABS,OCCIDABS);
2,CREATE TABLE MGLINKSYSTQUEST(
   APPSYSTNAME    CHAR(16)  NOT NULL,
   SECTFULLPATH   CHAR(80)  NOT NULL,
   QUNAME         CHAR(30)  NOT NULL,
   SEGIDABS       CHAR(17)  NOT NULL,
   OCCIDABS       CHAR(17)  NOT NULL,
   SEGNAME        CHAR(65),
   OCCNAME        CHAR(65),
   PRIMARY KEY(APPSYSTNAME,SECTFULLPATH,QUNAME,SEGIDABS,OCCIDABS)
   );
2,CREATE UNIQUE INDEX I_MGLINKSYSTQUEST ON MGLINKSYSTQUEST(APPSYSTNAME,QUNAME,SEGIDABS,OCCIDABS);
2,CREATE TABLE VCSHISTORY(
    APPSYSTNAME     CHAR     (16)  NOT NULL,
    SECTFULLPATH    CHAR     (80)  NOT NULL,
    COMPNAME        CHAR     (30)  NOT NULL,
    COMPTYPE        DECIMAL  (3)   NOT NULL,
    USRID           CHAR     (16)  NOT NULL,
    HISTORYDATE     TIMESTAMP      NOT NULL,
    ACTIONCODE      DECIMAL  (3)   NOT NULL,
    VERSION         DECIMAL  (6)   NOT NULL,
    HISTORYDESC     LONG VARCHAR,
    PRIMARY KEY(APPSYSTNAME,SECTFULLPATH,COMPNAME,COMPTYPE,HISTORYDATE,ACTIONCODE)
    );
2,CREATE TABLE VCSCKTRANSLOG(
    APPSYSTNAME     CHAR     (16)  NOT NULL,
    SECTFULLPATH    CHAR     (80)  NOT NULL,
    COMPNAME        CHAR     (30)  NOT NULL,
    COMPTYPE        DECIMAL  (3)   NOT NULL,
    USRID           CHAR     (16)  NOT NULL,
    STRINGDATA1     VARCHAR  (80)  NOT NULL,
    NUMDATA1        DECIMAL  (3)   NOT NULL,
    SUBCOMPINDEX    DECIMAL  (6)   NOT NULL,
    STRINGDATA2     VARCHAR  (80),
    STRINGDATA3     VARCHAR  (80),
    NUMDATA2        DECIMAL  (3),
    MODCODE         DECIMAL  (3)   NOT NULL,
    LONGDATA1       LONG VARCHAR FOR BIT DATA,
    PRIMARY KEY(APPSYSTNAME,SECTFULLPATH,COMPNAME,COMPTYPE,STRINGDATA1,NUMDATA1,SUBCOMPINDEX) );
2,CREATE TABLE VCSCHECKOUTLST(
    APPSYSTNAME     CHAR     (16)  NOT NULL,
    SECTFULLPATH    CHAR     (80)  NOT NULL,
    COMPNAME        CHAR     (30)  NOT NULL,
    COMPTYPE        DECIMAL  (3)   NOT NULL,
    USRID           CHAR     (16)  NOT NULL,
    CHECKOUTDATE    TIMESTAMP      NOT NULL,
    LASTMODIFDATE   TIMESTAMP,
    CHECKOUTDESC    LONG VARCHAR,
    PRIMARY KEY(APPSYSTNAME,SECTFULLPATH,COMPNAME,COMPTYPE)
    );
0,DROP   VIEW SYSTAPPQUEST;
2,CREATE  VIEW SYSTAPPQUEST (
 C0,C1,C2,C3,C4,C5,C6,C7,C8,C9,C10,C11,C12,C13,C14,C15,C16,C17,C18,C19,C20 ) AS
    SELECT X.APPSYSTNAME,X.QUNAME,LANGUE,COLNAME,QUTYPE,QUATTR,
       ANSATTR,ANSMINCHR,ANSMAXCHR,ANSMINVALUE,ANSMAXVALUE,ANSNUMDEC,
       ANSCHOICE,DISPFLG,INPMASK,OUTMASK,CDNCMD,QUDESC,COLDESC1,COLDESC2,
       QUHELP FROM SYSTQUEST X,SYSTQUESTTXT Y
       WHERE X.APPSYSTNAME = Y.APPSYSTNAME AND X.QUNAME = Y.QUNAME;
0,DROP    VIEW APPQUEST_V;
2,CREATE  VIEW APPQUEST_V (
    APPSYSTNAME,MODNAME,GRPNAME,QUINDEX,QUNAME,LANGUE,TABLENAME,
    QUDESC,ANSMAXDISPCHR,QUSTATE,SQLNAME,LISTSQLNAME,QUATTR,ANSATTR,
    DISPFLG,INPMASK,OUTMASK,CDNCMD,QUPOSX,QUPOSY,ANSPOSX,ANSPOSY) AS
    SELECT X.APPSYSTNAME,X.MODNAME,X.GRPNAME,QUINDEX,X.QUNAME,LANGUE,TABLENAME,
       QUDESC,ANSMAXDISPCHR,QUSTATE,SQLNAME,LISTSQLNAME,QUATTR,ANSATTR,
       DISPFLG,INPMASK,OUTMASK,CDNCMD,QUPOSX,QUPOSY,ANSPOSX,ANSPOSY
       FROM APPQUEST X,APPQUESTTXT Y
       WHERE X.APPSYSTNAME = Y.APPSYSTNAME AND X.MODNAME = Y.MODNAME AND
       X.GRPNAME = Y.GRPNAME AND X.QUNAME = Y.QUNAME;
0,DROP VIEW SYSTAPPQUEST_V;
2,CREATE VIEW SYSTAPPQUEST_V (APPSYSTNAME,MODNAME,GRPNAME,QUINDEX,QUNAME,
                TABLENAME,QUSTATE,SQLNAME,LISTSQLNAME,COLNAME,
                QUTYPE,QUATTR,ANSATTR,ANSMINCHR,ANSMAXCHR,
                ANSMINVALUE,ANSMAXVALUE,ANSNUMDEC,INPMASK,
                OUTMASK,DISPFLG,CDNCMD,A_INPMASK,A_OUTMASK,
                A_DISPFLG,A_CDNCMD)
AS SELECT A.APPSYSTNAME,A.MODNAME,GRPNAME,QUINDEX,A.QUNAME,TABLENAME,
       QUSTATE,SQLNAME,LISTSQLNAME,COLNAME,QUTYPE,QUATTR,ANSATTR,
       ANSMINCHR,ANSMAXCHR,ANSMINVALUE,ANSMAXVALUE,ANSNUMDEC,S.INPMASK,
       S.OUTMASK,S.DISPFLG,S.CDNCMD,A.INPMASK,A.OUTMASK,A.DISPFLG,
       A.CDNCMD
    FROM APPQUEST A, SYSTQUEST S
    WHERE A.APPSYSTNAME = S.APPSYSTNAME
     AND  A.QUNAME = S.QUNAME;
0,DROP VIEW SYSTAPPQUESTTXT_V;
2,CREATE VIEW SYSTAPPQUESTTXT_V (APPSYSTNAME,MODNAME,GRPNAME,QUNAME,LANGUE,
                   ANSMAXDISPCHR,QUATTR,ANSATTR,QUPOSX,QUPOSY,
                   ANSPOSX,ANSPOSY,QUDESC,COLDESC1,COLDESC2,
                   ANSCHOICE,A_QUDESC,QUHELP)
AS SELECT A.APPSYSTNAME,A.MODNAME,GRPNAME,A.QUNAME,A.LANGUE,ANSMAXDISPCHR,
       A.QUATTR,A.ANSATTR,QUPOSX,QUPOSY,ANSPOSX,ANSPOSY,S.QUDESC,
       COLDESC1,COLDESC2,ANSCHOICE,A.QUDESC,S.QUHELP
    FROM APPQUESTTXT A, SYSTQUESTTXT S
    WHERE A.APPSYSTNAME = S.APPSYSTNAME
     AND  A.QUNAME = S.QUNAME
     AND  A.LANGUE = S.LANGUE;
1,INSERT INTO PROTUSR(
    USRID,
    FULLNAME,
    PASSWORD
  ) VALUES (
    '$SUPERUSER',
    'Security Manager',
    NULL);
1,INSERT INTO PROTUSR(
    USRID,
    FULLNAME,
    PASSWORD
  ) VALUES (
    'DEMO',
    'Demonstration user',
    NULL);
1,INSERT INTO PROTUSRGRP(
    USRGRPID,
    FULLNAME
  ) VALUES (
    '$EVERYBODY',
    'All users');
1,INSERT INTO PROTUSRGRPMBR(
    USRGRPID,
    MBRTYPE,
    MBRID
  ) VALUES (
    '$EVERYBODY',
    1,
    'DEMO');
1,INSERT INTO PROTCOMP(
    COMPID,
    COMPFULLNAME,
    COMPSHORTNAME,
    ADDRESS,
    CITY,
    STATE,
    COUNTRY,
    ZIP,
    TEL,
    FAX
  ) VALUES (
    'CONSYST',
    'Consyst SQL Inc.',
    'CONSYST',
    '1001, boulevard De Maisonneuve Ouest, 5e tage',
    'Montral',
    'Qubec',
    'Canada',
    'H3A 3C8',
    '(514) 849-7431',
    '(514) 849-8125');
1,INSERT INTO PROTENTRY(ENTRYSYSTID,ENTRYID,FULLNAME,
                        DATATYPE,CONFLICTRES,DEFAULTVAL,
						SUPERVAL,ENTRYNOTES)
   VALUES('$SYSTEM','$REP_IMPORT_SYS', 'Permission to import systems',
          1, 1, 'F', 'T', NULL);
0,DROP    VIEW SYSTINDEX_V;
2,CREATE  VIEW SYSTINDEX_V(
    S_INDEXNAME,S_TABLENAME,S_COLNAMES,S_INDEXTYPE,S_COLCOUNT) AS
    SELECT NAME,TBNAME,COLNAMES,UNIQUERULE,COLCOUNT FROM SYSIBM.SYSINDEXES;
0,DROP    VIEW SYSTTABLE_V;
2,CREATE  VIEW SYSTTABLE_V(
    S_TABLENAME,S_TABLETYPE,S_PRIMKEYID) AS
    SELECT NAME,TYPE,KEYOBID FROM SYSIBM.SYSTABLES;
0,DROP    VIEW SYSTCOL_V;
2,CREATE  VIEW SYSTCOL_V(
    S_TABLENAME,S_COLNO,S_COLNAME,S_COLTYPE,S_COLSIZE,S_COLNUMDEC,
    S_COLNULL,S_PRIMKEYNO) AS
    SELECT TBNAME,COLNO+1,NAME,COLTYPE,LENGTH,SCALE,NULLS,KEYSEQ FROM
    SYSIBM.SYSCOLUMNS;
